helper_functions.h File Reference

Go to the source code of this file.

## Namespaces

| __gnu_debug

## Enumerations

enum | __gnu_debug::_Distance_precision { __dp_none, __dp_equality, __dp_sign, __dp_exact }

## Functions

template<typename _Iterator >
_Iterator | __gnu_debug::__base (_Iterator __it)
template<typename _Iterator >
_Distance_traits< _Iterator >::__type | __gnu_debug::__get_distance (const _Iterator &__lhs, const _Iterator &__rhs)
template<typename _Iterator >
_Distance_traits< _Iterator >::__type | __gnu_debug::__get_distance (const _Iterator &__lhs, const _Iterator &__rhs, std::input_iterator_tag)
template<typename _Iterator >
_Distance_traits< _Iterator >::__type | __gnu_debug::__get_distance (const _Iterator &__lhs, const _Iterator &__rhs, std::random_access_iterator_tag)
template<typename _Iterator >
_Iterator | __gnu_debug::__unsafe (_Iterator __it)
template<typename _InputIterator >
bool | __gnu_debug::__valid_range (const _InputIterator &__first, const _InputIterator &__last)
template<typename _InputIterator >
bool | __gnu_debug::__valid_range (const _InputIterator &__first, const _InputIterator &__last, typename _Distance_traits< _InputIterator >::__type &__dist)
template<typename _InputIterator >
bool | __gnu_debug::__valid_range_aux (const _InputIterator &__first, const _InputIterator &__last, typename _Distance_traits< _InputIterator >::__type &__dist, std::__false_type)
template<typename _Integral >
bool | __gnu_debug::__valid_range_aux (const _Integral &, const _Integral &, typename _Distance_traits< _Integral >::__type &__dist, std::__true_type)

## Detailed Description

This file is a GNU debug extension to the Standard C++ Library.

Definition in file helper_functions.h.